Skip to content

Searches for exam offerings using predefined parameters

Request

Searches for exam offerings using predefined parameters

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
exclusiveStartKeystring

The start key for the search, for paging support

fieldsToReturnstring

The fields that you want to retrieve; if omitted, the entire object is returned

Bodyapplication/jsonrequired

The exam offering that you would like to be saved.

countrystring(Country)
dateArray of strings(Date)
exam_idArray of strings(Exam)
fee_idArray of strings(Fee)
idsArray of strings(Ids)

IDs to search

locationArray of strings(Location)
publish_to_portalArray of booleans(Publish To Portal)
statestring(State)
testing_facility_idArray of strings(Testing Facility)
training_location_idArray of strings(Training Location)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/examOfferings/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "country": "string",
    "date": [
      "string"
    ],
    "exam_id": [
      "string"
    ],
    "fee_id": [
      "string"
    ],
    "ids": [
      "string"
    ],
    "location": [
      "string"
    ],
    "publish_to_portal": [
      true
    ],
    "state": "string",
    "testing_facility_id": [
      "string"
    ],
    "training_location_id": [
      "string"
    ]
  }'

Responses

The exam offering search was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects(ExamOfferingSearchResults)
LastEvaluatedKeystring
Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }